pcl::poisson::Vector< T > Class Template Reference

`#include <pcl/surface/3rdparty/poisson4/vector.h>`

## Public Member Functions

| Vector ()
| Vector (const Vector< T > &V)
| Vector (std::size_t N)
| Vector (std::size_t N, T *pV)
| ~Vector ()
const T & | operator() (std::size_t i) const
T & | operator() (std::size_t i)
const T & | operator[] (std::size_t i) const
T & | operator[] (std::size_t i)
void | SetZero ()
std::size_t | Dimensions () const
void | Resize (std::size_t N)
Vector | operator* (const T &A) const
Vector | operator/ (const T &A) const
Vector | operator- (const Vector &V) const
Vector | operator+ (const Vector &V) const
Vector & | operator*= (const T &A)
Vector & | operator/= (const T &A)
Vector & | operator+= (const Vector &V)
Vector & | operator-= (const Vector &V)
Vector & | AddScaled (const Vector &V, const T &scale)
Vector & | SubtractScaled (const Vector &V, const T &scale)
Vector | operator- () const
Vector & | operator= (const Vector &V)
T | Dot (const Vector &V) const
T | Length () const
T | Norm (std::size_t Ln) const
void | Normalize ()
bool | write (FILE *fp) const
bool | write (const char *fileName) const
bool | read (FILE *fp)
bool | read (const char *fileName)

## Static Public Member Functions

static void | Add (const Vector &V1, const T &scale1, const Vector &V2, const T &scale2, Vector &Out)
static void | Add (const Vector &V1, const T &scale1, const Vector &V2, Vector &Out)

## Public Attributes

T * | m_pV

## Protected Attributes

std::size_t | m_N

## Detailed Description

### template<class T>
class pcl::poisson::Vector< T >

Definition at line 41 of file vector.h.

## Constructor & Destructor Documentation

## Vector() [1/4]

template<class T >

pcl::poisson::Vector< T >::Vector

Definition at line 42 of file vector.hpp.

## Vector() [2/4]

template<class T >

pcl::poisson::Vector< T >::Vector | ( | const Vector< T > & | V | ) |

Definition at line 48 of file vector.hpp.

References pcl::poisson::Vector< T >::m_N, and pcl::poisson::Vector< T >::m_pV.

## Vector() [3/4]

template<class T >

pcl::poisson::Vector< T >::Vector | ( | std::size_t | N | ) |

Definition at line 56 of file vector.hpp.

## Vector() [4/4]

template<class T >

pcl::poisson::Vector< T >::Vector | ( | std::size_t | N,
|  | T * | pV
| ) |  |

Definition at line 76 of file vector.hpp.

## ~Vector()

template<class T >

pcl::poisson::Vector< T >::~Vector

Definition at line 82 of file vector.hpp.

## Member Function Documentation

## Add() [1/2]

template<class T >

void pcl::poisson::Vector< T >::Add | ( | const Vector< T > & | V1,
|  | const T & | scale1,
|  | const Vector< T > & | V2,
|  | const T & | scale2,
|  | Vector< T > & | Out
| ) |  |

static

Definition at line 171 of file vector.hpp.

References pcl::poisson::Vector< T >::m_N, and pcl::poisson::Vector< T >::m_pV.

## Add() [2/2]

template<class T >

void pcl::poisson::Vector< T >::Add | ( | const Vector< T > & | V1,
|  | const T & | scale1,
|  | const Vector< T > & | V2,
|  | Vector< T > & | Out
| ) |  |

static

Definition at line 176 of file vector.hpp.

References pcl::poisson::Vector< T >::m_N, and pcl::poisson::Vector< T >::m_pV.

## AddScaled()

template<class T >

Vector< T > & pcl::poisson::Vector< T >::AddScaled | ( | const Vector< T > & | V,
|  | const T & | scale
| ) |  |

Definition at line 155 of file vector.hpp.

References pcl::poisson::Vector< T >::m_pV.

## Dimensions()

template<class T >

std::size_t pcl::poisson::Vector< T >::Dimensions

Definition at line 91 of file vector.hpp.

Referenced by pcl::poisson::SparseSymmetricMatrix< T >::Multiply(), pcl::poisson::SparseSymmetricMatrix< T >::Solve(), pcl::poisson::SparseSymmetricMatrix< T >::SolveAtomic(), and pcl::poisson::SparseMatrix< T >::SolveSymmetric().

## Dot()

template<class T >

T pcl::poisson::Vector< T >::Dot | ( | const Vector< T > & | V | ) | const

Definition at line 239 of file vector.hpp.

References pcl::poisson::Vector< T >::m_pV.

Referenced by pcl::poisson::SparseMatrix< T >::Solve().

## Length()

template<class T >

T pcl::poisson::Vector< T >::Length | ( | void |  | ) | const

Definition at line 231 of file vector.hpp.

## Norm()

template<class T >

T pcl::poisson::Vector< T >::Norm | ( | std::size_t | Ln | ) | const

Definition at line 216 of file vector.hpp.

## Normalize()

template<class T >

void pcl::poisson::Vector< T >::Normalize

Definition at line 224 of file vector.hpp.

## operator()() [1/2]

template<class T >

T & pcl::poisson::Vector< T >::operator() | ( | std::size_t | i | ) |

Definition at line 101 of file vector.hpp.

## operator()() [2/2]

template<class T >

const T & pcl::poisson::Vector< T >::operator() | ( | std::size_t | i | ) | const

Definition at line 95 of file vector.hpp.

## operator*()

template<class T >

Vector< T > pcl::poisson::Vector< T >::operator* | ( | const T & | A | ) | const

Definition at line 116 of file vector.hpp.

References pcl::poisson::Vector< T >::m_pV.

## operator*=()

template<class T >

Vector< T > & pcl::poisson::Vector< T >::operator*= | ( | const T & | A | ) |

Definition at line 124 of file vector.hpp.

## operator+()

template<class T >

Vector< T > pcl::poisson::Vector< T >::operator+ | ( | const Vector< T > & | V | ) | const

Definition at line 146 of file vector.hpp.

References pcl::poisson::Vector< T >::m_pV.

## operator+=()

template<class T >

Vector< T > & pcl::poisson::Vector< T >::operator+= | ( | const Vector< T > & | V | ) |

Definition at line 181 of file vector.hpp.

References pcl::poisson::Vector< T >::m_pV.

## operator-() [1/2]

template<class T >

Vector< T > pcl::poisson::Vector< T >::operator- | ( | void |  | ) | const

Definition at line 198 of file vector.hpp.

References pcl::poisson::Vector< T >::m_pV.

## operator-() [2/2]

template<class T >

Vector< T > pcl::poisson::Vector< T >::operator- | ( | const Vector< T > & | V | ) | const

Definition at line 189 of file vector.hpp.

References pcl::poisson::Vector< T >::m_pV.

## operator-=()

template<class T >

Vector< T > & pcl::poisson::Vector< T >::operator-= | ( | const Vector< T > & | V | ) |

Definition at line 208 of file vector.hpp.

References pcl::poisson::Vector< T >::m_pV.

## operator/()

template<class T >

Vector< T > pcl::poisson::Vector< T >::operator/ | ( | const T & | A | ) | const

Definition at line 131 of file vector.hpp.

References pcl::poisson::Vector< T >::m_pV.

## operator/=()

template<class T >

Vector< T > & pcl::poisson::Vector< T >::operator/= | ( | const T & | A | ) |

Definition at line 139 of file vector.hpp.

## operator=()

template<class T >

Vector< T > & pcl::poisson::Vector< T >::operator= | ( | const Vector< T > & | V | ) |

Definition at line 84 of file vector.hpp.

References pcl::poisson::Vector< T >::m_N, and pcl::poisson::Vector< T >::m_pV.

## operator[]() [1/2]

template<class T >

T & pcl::poisson::Vector< T >::operator[] | ( | std::size_t | i | ) |

Definition at line 111 of file vector.hpp.

## operator[]() [2/2]

template<class T >

const T & pcl::poisson::Vector< T >::operator[] | ( | std::size_t | i | ) | const

Definition at line 106 of file vector.hpp.

## read() [1/2]

template<class T >

bool pcl::poisson::Vector< T >::read | ( | const char * | fileName | ) |

Definition at line 249 of file vector.hpp.

References pcl::read().

## read() [2/2]

template<class T >

bool pcl::poisson::Vector< T >::read | ( | FILE * | fp | ) |

Definition at line 267 of file vector.hpp.

## Resize()

template<class T >

void pcl::poisson::Vector< T >::Resize | ( | std::size_t | N | ) |

Definition at line 63 of file vector.hpp.

Referenced by pcl::poisson::SparseSymmetricMatrix< T >::getDiagonal(), pcl::poisson::SparseMatrix< T >::Solve(), pcl::poisson::SparseSymmetricMatrix< T >::Solve(), pcl::poisson::SparseSymmetricMatrix< T >::SolveAtomic(), and pcl::poisson::SparseMatrix< T >::SolveSymmetric().

## SetZero()

template<class T >

void pcl::poisson::Vector< T >::SetZero | ( | void |  | ) |

Definition at line 93 of file vector.hpp.

Referenced by pcl::poisson::SparseSymmetricMatrix< T >::Multiply(), pcl::poisson::MultiplyAtomic(), pcl::poisson::SparseMatrix< T >::Solve(), pcl::poisson::SparseSymmetricMatrix< T >::Solve(), pcl::poisson::SparseSymmetricMatrix< T >::SolveAtomic(), and pcl::poisson::SparseMatrix< T >::SolveSymmetric().

## SubtractScaled()

template<class T >

Vector< T > & pcl::poisson::Vector< T >::SubtractScaled | ( | const Vector< T > & | V,
|  | const T & | scale
| ) |  |

Definition at line 163 of file vector.hpp.

References pcl::poisson::Vector< T >::m_pV.

## write() [1/2]

template<class T >

bool pcl::poisson::Vector< T >::write | ( | const char * | fileName | ) | const

Definition at line 258 of file vector.hpp.

References pcl::write().

## write() [2/2]

template<class T >

bool pcl::poisson::Vector< T >::write | ( | FILE * | fp | ) | const

Definition at line 276 of file vector.hpp.

## Member Data Documentation

## m_N

template<class T >

std::size_t pcl::poisson::Vector< T >::m_N

protected

Definition at line 93 of file vector.h.

Referenced by pcl::poisson::Vector< T >::Add(), pcl::poisson::Vector< T >::operator=(), and pcl::poisson::Vector< T >::Vector().

## m_pV

template<class T >

T* pcl::poisson::Vector< T >::m_pV

Definition at line 91 of file vector.h.

Referenced by pcl::poisson::Vector< T >::Add(), pcl::poisson::Vector< T >::AddScaled(), pcl::poisson::Vector< T >::Dot(), pcl::poisson::SparseMatrix< T >::Multiply(), pcl::poisson::SparseSymmetricMatrix< T >::Multiply(), pcl::poisson::Vector< T >::operator*(), pcl::poisson::Vector< T >::operator+(), pcl::poisson::Vector< T >::operator+=(), pcl::poisson::Vector< T >::operator-(), pcl::poisson::Vector< T >::operator-=(), pcl::poisson::Vector< T >::operator/(), pcl::poisson::Vector< T >::operator=(), pcl::poisson::SparseMatrix< T >::SolveSymmetric(), pcl::poisson::Vector< T >::SubtractScaled(), and pcl::poisson::Vector< T >::Vector().

The documentation for this class was generated from the following files:

- pcl/surface/3rdparty/poisson4/vector.h
- pcl/surface/3rdparty/poisson4/vector.hpp